var MacDefaults = {	
	isMac: function() {
		const accelKey = Components.classes["@mozilla.org/preferences-service;1"].
		                 getService(Components.interfaces.nsIPrefService).
		                 getIntPref("ui.key.accelKey");
		if (accelKey == 224) {
			// the accel key is meta, so this is a Mac
			return true;
		}
		return false;
	},
	
	altToCtrl: function(prefValue) {
		return prefValue.replace(/alt/, "control");
	},
	
	altToCtrlPref: function(prefName) {
		var opts = Components.classes["@mozilla.org/preferences-service;1"].
         				getService(Components.interfaces.nsIPrefService).
		         		getBranch("extensions.wordcountplus.options.");
		// only swap out alt if it is there by default
		if (opts.prefHasUserValue(prefName) == false) {
			var modifiers = opts.getCharPref(prefName);
			modifiers = this.altToCtrl(modifiers);
			opts.setCharPref(prefName, modifiers);
		}
	}
}